#include <iostream>
#include <cmath>
using namespace std;
int get_head(int a){
    return a / int(pow(10, int(log10(a))));
}
int num( int a, int b, int N){
    int ans = 0;
    for(int i=1; i<=N; i++){
        if(get_head(i) == a && i%10 == b) {
            ans ++;
            i+= 9;
        }
    }
    return ans;
}
int main(){
    int N;
    cin >> N;
    int d[100];
    for(int i=1; i<10; i++){
        for(int j=1; j<10; j++){
            d[i*10 + j] = num(i, j, N);
        }
    }
    long ans = 0;
    for(int i=1; i<10; i++){
        for(int j=1; j<10; j++){
            ans += long(d[i*10 + j]) * long(d[j*10 + i]);
        }
    }
    cout << ans << endl;
    return 0;
}